/*
 * HelloWorld.java
 *
 * Created on May 12, 2003, 10:30 PM
 */

package com.lucek.action;

import java.io.*;
import java.net.*;
import javax.servlet.*;
import javax.servlet.http.*;

import com.lucek.dao.StudentDB;
import com.lucek.dto.StudentValue;

/**
 *
 * @author  David Lucek
 * @version
 */
public class SimpleBean extends HttpServlet {
    
    /** Initializes the servlet.
     */
    public void init(ServletConfig config) throws ServletException {
        super.init(config);
        
    }
    
    /** Destroys the servlet.
     */
    public void destroy() {
        
    }
    
    /** Processes requests for both HTTP <code>GET</code> and <code>POST</code> methods.
     * @param request servlet request
     * @param response servlet response
     */
    protected void processRequest(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        // Get the database Record
        StudentDB dbBean = new StudentDB();
        StudentValue value = dbBean.load(102);
        // Add the Student Value bean to the "REQUEST" scope
        request.setAttribute("student",value);
        // Forward to edit student page
        RequestDispatcher dispatcher = getServletContext().getRequestDispatcher("/EditStudent.jsp");
        dispatcher.forward(request,response);
    }
    
    /** Handles the HTTP <code>GET</code> method.
     * @param request servlet request
     * @param response servlet response
     */
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        processRequest(request, response);
    }
    
    /** Handles the HTTP <code>POST</code> method.
     * @param request servlet request
     * @param response servlet response
     */
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        //processRequest(request, response);
        response.setContentType("text/html");
        PrintWriter out = response.getWriter();
        /* output your page here */
        out.println("<html>");
        out.println("<head>");
        out.println("<title>Results from the Simple Bean Form</title>");
        out.println("</head>");
        out.println("<body>");
        out.println("<H2>The servlet received: </h2><hr>");
        out.println("id: " + request.getParameter("id") + "<br>");
        out.println("First Name: " + request.getParameter("firstname") + "<br>");
        out.println("Last Name: " + request.getParameter("lastname") + "<br>");
        out.println("<a href=\"/servletdemo/bean\" >Go Back</a>");
        out.println("</body>");
        out.println("</html>");
        out.close();
    }
    
    /** Returns a short description of the servlet.
     */
    public String getServletInfo() {
        return "Simple Bean Example forwarding to a JSP page";
    }
    
}
